<script setup lang="ts">
import { Checkbox as ShadcnCheckbox } from '@/components/core/checkbox';
import type { UiCheckboxModelValue, UiCheckboxProps } from './types';

defineOptions({
  name: 'UiCheckbox',
});

const props = withDefaults(defineProps<UiCheckboxProps>(), {
  disabled: false,
  required: false,
});

const model = defineModel<UiCheckboxModelValue>();
</script>

<template>
  <ShadcnCheckbox v-model="model" v-bind="props" />
</template>
